<?php declare(strict_types=1);

namespace Newland\Toubiz\Sync\Neos\Tests\Unit\Importer\Mock;

use Newland\Toubiz\Api\ObjectAdapter\FileAdapterInterface;

class FileAdapterMock implements FileAdapterInterface
{

    public $properties = [];

    public function __construct(array $properties)
    {
        $this->properties = $properties;
    }

    public function getName()
    {
        return $this->properties['name'] ?? '';
    }

    public function getSourceUri()
    {
        return $this->properties['sourceUri'] ?? '';
    }

    public function getExternalId(): string
    {
        return $this->properties['externalId'] ?? '';
    }
}